MyGUI::IVertexBuffer Class Referenceabstract

`#include <MyGUI_IVertexBuffer.h>`

## Public Member Functions

virtual | ~IVertexBuffer ()=default
virtual void | setVertexCount (size_t _value)=0
virtual size_t | getVertexCount () const =0
virtual Vertex * | lock ()=0
virtual void | unlock ()=0

## Detailed Description

Definition at line 16 of file MyGUI_IVertexBuffer.h.

## Constructor & Destructor Documentation

## ~IVertexBuffer()

virtual MyGUI::IVertexBuffer::~IVertexBuffer | ( |  | ) |

virtual default

## Member Function Documentation

## getVertexCount()

virtual size_t MyGUI::IVertexBuffer::getVertexCount | ( |  | ) | const

pure virtual

## lock()

virtual Vertex * MyGUI::IVertexBuffer::lock | ( |  | ) |

pure virtual

## setVertexCount()

virtual void MyGUI::IVertexBuffer::setVertexCount | ( | size_t | _value | ) |

pure virtual

## unlock()

virtual void MyGUI::IVertexBuffer::unlock | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- MyGUI_IVertexBuffer.h